Name:           whatsie
Version:        4.16.3
Release:        %mkrel 1
Summary:        Feature rich WhatsApp web client based on Qt WebEngine for Linux Desktop
License:        MIT
Group:          Networking/Instant messaging
Url:            https://github.com/keshavbhatt/whatsie
Source0:        https://github.com/keshavbhatt/whatsie/archive/refs/tags/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	cmake(Qt5WebEngine)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Positioning)


%description
Feature rich WhatsApp web client based on Qt WebEngine for Linux Desktop

%prep
%setup -q

%build
pushd src
%qmake_qt5
%make_build
popd

%install
pushd src
%make_install INSTALL_ROOT=%{buildroot}
popd

%files
%{_bindir}/whatsie
%{_datadir}/applications/com.ktechpit.whatsie.desktop
%{_iconsdir}/hicolor/128x128/apps/com.ktechpit.whatsie.png
%{_iconsdir}/hicolor/16x16/apps/com.ktechpit.whatsie.png
%{_iconsdir}/hicolor/256x256/apps/com.ktechpit.whatsie.png
%{_iconsdir}/hicolor/32x32/apps/com.ktechpit.whatsie.png
%{_iconsdir}/hicolor/64x64/apps/com.ktechpit.whatsie.png
%{_iconsdir}/hicolor/scalable/apps/com.ktechpit.whatsie.svg
%{_iconsdir}/hicolor/symbolic/apps/com.ktechpit.whatsie-symbolic.svg
%{_datadir}/licenses/whatsie/LICENSE
%{_datadir}/metainfo/com.ktechpit.whatsie.appdata.xml
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/ca_ES.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/cs_CZ.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/da_DK.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/de_DE.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/de_DE_neu.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/el_GR.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/en-US.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/en_AU.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/en_GB.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/en_US.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/es_ES.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/fr_FR.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/he_IL.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/hi_IN.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/hr_HR.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/id_ID.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/it_IT.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/lt_LT.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/lv_LV.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/nb_NO.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/nl_NL.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/pl_PL.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/pt_BR.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/pt_PT.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/ro_RO.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/ru_RU.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/sk_SK.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/sl_SI.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/sv_SE.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/vi_VI.bdic
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/vi_VN.bdic

%changelog
* Sat Nov 02 2024 %{packager} 4.16.3-1
+ New version
